1

I am trying to run the latest version of the Android SDK on an RHEL6 box. I am getting errors that I need GLIBC 2.14. So I installed GLIBC 2.14 in /opt/glibc-2.14.

I have set the LD_LIBRARY_PATH=/opt/glibc-2.14/lib. I can now run the Android SDK tool without getting prompted that GLIBC 2.14 is not installed. But when I try to run the Gradle build to build the Android APK it just hangs.

If I remove the LD_LIBRARY_PATH the Gradle job runs and fails that GLIBC 2.14 is not installed. I also have the same hanging issue on running a command such as java --version, when LD_LIBRARY_PATH is set to GLIBC 2.14.

Is there a way to resolve this issue?

1
  • 2
    You'd need to install all the required libraries and programs locally which will quickly become a total mess. It would be much better to run it on a more up-to-date OS. Apr 22, 2017 at 3:33

1 Answer 1

-1

We have the same issue using gradle via jenkins build-pipeline.

I manually compiled glibc 2.14 under /opt/glibc-2.14. If I set LD_LIBRARY_PATH the android sdk works fine, but calling a gradle build fails with an "futex" error message (seen on strace).

There is no output, even when running gradle with the stacktrace option.

The only way I was getting gradle to run was to install the following RPM's from redsleeve.org:

wget http://ftp.redsleeve.org/pub/steam/glibc-2.15-60.el6.x86_64.rpm
wget http://ftp.redsleeve.org/pub/steam/glibc-common-2.15-60.el6.x86_64.rpm
wget http://ftp.redsleeve.org/pub/steam/glibc-devel-2.15-60.el6.x86_64.rpm
wget http://ftp.redsleeve.org/pub/steam/glibc-headers-2.15-60.el6.x86_64.rpm
rpm -Uvh glibc-2.15-60.el6.x86_64.rpm glibc-common-2.15-60.el6.x86_64.rpm glibc-devel-2.15-60.el6.x86_64.rpm glibc-headers-2.15-60.el6.x86_64.rpm

After the installation of the updated glibc-packages the gradle build was running fine on a CentOS 6.9 (x64) box.

This is good for a testing environment, but in case of system-updates this could break your whole update procedure. I'm trying to find a better way using the manually compiled version.

~Cheers

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .